/*
 * Copyright (C) 2024 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __AISDK_ERROR_H__
#define __AISDK_ERROR_H__

typedef enum {
    AISDK_NO_ERROR = 0,
    AISDK_NET_ERROR,
    AISDK_AUTHENTICATION_FAILURE,
    AISDK_RUNTIME_ERROR,
    AISDK_TOO_MANY_REQUESTS,
    AISDK_SERVICE_ERROR,
    AISDK_SERVICE_TIMEOUT,
    AISDK_BAD_REQUEST,
    AISDK_MODEL_RUN_FAILED,
    AISDK_MODEL_RUN_TIME_OUT,
    AISDK_MODEL_NOT_FOUND,
} AiSdkCommonErrorCode;

#endif
